package SlackBuild::Registry::Pattern;
use strict;
use warnings;
use Carp;
use parent 'SlackBuild::Pattern';

my %order = (
    package => 1,
    version => 2,
    arch => 3,
    build => 4,
    filename => 5,
    date => 6
);

sub predcmp {
    my ($self, $a, $b) = @_;
    ($order{ (keys($a))[0]} || 100) <=>
	($order{(keys($b))[0]} || 100);
}

sub package {
    my $self = shift;
    my $h = $self->get_predicate('package') or return;
    return unless (keys(%$h))[0] eq '-eq';
    return (values(%$h))[0];
}

1;

