package URI::sbo;
use parent 'URI::_generic';

sub branch {
    my $self = shift;
    return $self->authority || 'HEAD';
}

sub host { shift->branch }

sub path {
    my $self = shift;
    my $ret = $self->SUPER::path(@_);
    $ret =~ s{^/}{};
    return $ret;
}

1;
__END__

=head1 NAME

URI::sbo - slackbuilds URI

=head1 DESCRIPTION

The B<sbo> URIs refer to the packages in the L<git://git.slackbuilds.org/slackbuilds.git> repository. The format of the URI is:

    sbo://TREEISH/PATH

where TREEISH is the git tree identifier, and PATH is the pathname within the
repository. For example, the following refers to the latest version of
B<mailutils> package.

    sbo://HEAD/system/mailutils

=cut
